#!/bin/bash

DIRNAME=$UM_MOUNTPOINT/tonido/autoexe
LOGDIR="$DIRNAME/debug"
mkdir -p $LOGDIR
mkdir -p $LOGDIR/logs
mkdir -p $LOGDIR/info

# Copy system logs
cp /var/log/messages* $LOGDIR/logs

# Copy tonido logs
cp -dpr /root/app/tonido/approot/logs/* $LOGDIR/logs

# Copy plug release info
cp /etc/tonidoplug_release $LOGDIR/info/

# Get network information
ifconfig > $LOGDIR/info/ifconfig

# Copy network settings
cp /etc/network/interfaces $LOGDIR/info

# Dump process table
ps auxf > $LOGDIR/info/processtree

# Dump netstat 
netstat -an > $LOGDIR/info/netstat

# Free mem  
free -m > $LOGDIR/info/free

# Disk usage
du -h > $LOGDIR/info/du
df -h > $LOGDIR/info/df

# Zip the contents
tar cvf $DIRNAME/debug.tar $LOGDIR
